
TYPO3.Flow - Bug # 37352

Status: Under Review Priority: Must have
Author: Karsten Dambekalns Category: Persistence
Created: 2012-05-21 Assigned To: Karsten Dambekalns
Updated: 2013-05-21 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git 1.0
Subject: generateValueHash() should use getIdentifierByObject()
Description

The generateValueHash() method only tries to use FLOW3_Persistence_Identifier directly, but should use getIdentifierByObject() to
support custom identifier properties.

Related issues:
related to TYPO3.Flow - Feature # 37286: Include object properties in Value O... Closed 2012-05-18

History
#1 - 2012-05-25 11:32 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/11598

#2 - 2012-05-30 11:19 - Karsten Dambekalns
- Target version changed from 1.1 beta 2 to 2.0 beta 1

Postponed because of possible side effects… Will need some more work.

#3 - 2012-05-30 11:22 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11722

#4 - 2012-12-10 13:06 - Karsten Dambekalns
- Target version changed from 2.0 beta 1 to 2.1

#5 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)
